# Uses of Interface
com.sun.source.tree.AssertTree

Packages that use AssertTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of AssertTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type AssertTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitAssert(AssertTree node, P p)`
  Visits an `AssertTree` node.

- ## Uses of AssertTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type AssertTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitAssert(AssertTree node, P p)`
  Visits an `AssertTree` node.
  `R`
  TreeScanner.`visitAssert(AssertTree node, P p)`
  Visits an `AssertTree` node.